OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

> Java.net (1.4 Spesifications) Incompatible, anyworkaround for blackdown
acidmoose
post Oct 6 2005, 04:07 AM
Post #1





Group: Members
Posts: 4
Joined: 16-September 05
Member No.: 8,124



I have successfully installed blackdown 1.3.1 on my Zaurus SL-C3100, and I´m trying to run a program originally intended for java 1.4.x and above...

My problem is this:
java.lang.NoClassDefFoundError: java/net/SocketAddress
at....
at....
and so on.

After some searching I found that the problem is this:
SocketAddress is apparently a java 1.4 spesific class, and has been reorganized from the jnet package in java 1.3.

So is it possible to download some libraries or packages, for a workaround so that I don´t have to reprogram everything? Could someone direct me in any direction, as I´m currently quite stuck...

Thanks
Go to the top of the page
 
+Quote Post
 
Start new topic
Replies
Borealid
post Oct 15 2005, 03:16 PM
Post #2





Group: Members
Posts: 46
Joined: 28-August 05
Member No.: 7,967



The correct sum for classpath over here is f0c7742357d3d50ee76934562cc185e0 . Apparently the problem was in how you put the files together again - do you have a good version of tar? Did you use the correct options?

If you can't get it to work, you could always just extract data.tar.gz from inside the archive and then copy the files to their correct locations.
Go to the top of the page
 
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd December 2014 - 12:38 PM